<ngx-loading [show]="indicatorProgressFinalIsLoadingUpdate$ | async" />

<app-modal
  id="modal-indicator-progress"
  #modal
  size="default"
  position="center"
>
  <ng-container ngProjectAs="header">
    <h6>{{ title }}</h6>
    <button
      class="btn-close"
      (click)="closeModal('modal-indicator-progress')"
      type="button"
      role="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    <form
      class="form"
      id="ngForm"
      #indicatorProgressForm="ngForm"
      [formGroup]="myForm"
      (ngSubmit)="onSubmit()"
      (keydown.enter)="$event.stopPropagation()"
    >
      <div [ngClass]="jds.row">
        <div [ngClass]="jds.col(3)">
          <div [ngClass]="jds.mb(16)">
            <label [ngClass]="jds.formLabel">Tahun</label>
            <div>{{ f.year.value }}</div>
          </div>
        </div>
        <div [ngClass]="jds.col(3)">
          <div [ngClass]="jds.mb(16)">
            <label [ngClass]="jds.formLabel">Target</label>
            <div>{{ f.target.value }}</div>
          </div>
        </div>
        <div [ngClass]="jds.col(6)">
          <div [ngClass]="jds.mb(16)">
            <label [ngClass]="jds.formLabel">
              Pencapaian <span [ngClass]="jds.text('danger')">*</span>
            </label>
            <input
              [colorScheme]="colorScheme"
              jdsBiInput
              type="text"
              placeholder="Contoh: 90"
              formControlName="capaian"
              style="height: 30px"
            />
            <ng-container
              *ngIf="
                f.capaian?.invalid && (f.capaian?.dirty || f.capaian?.touched)
              "
            >
              <div
                *ngIf="f.capaian?.errors.required"
                [ngClass]="[jds.formText, jds.text('danger')]"
              >
                Harus diisi
              </div>
              <div
                *ngIf="f.capaian?.errors.zeroStrip"
                [ngClass]="[jds.formText, jds.text('danger')]"
              >
                Masukan salah
              </div>
            </ng-container>
          </div>
        </div>
      </div>
    </form>
  </ng-container>
  <ng-container ngProjectAs="footer">
    <button
      [ngClass]="[jds.button, jds.buttonDefault, jds.me(8)]"
      (click)="closeModal('modal-indicator-progress')"
      type="button"
    >
      Batal
    </button>
    <button
      [ngClass]="[jds.button, jds.buttonPrimary]"
      [disabled]="!indicatorProgressForm.valid"
      (click)="indicatorProgressForm.ngSubmit.emit('Save')"
      type="submit"
    >
      Simpan
    </button>
  </ng-container>
</app-modal>
